package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * @author NianChang
 * @ClassName OrderPushMessage
 * @date 2021/02/02 4:19 下午
 */
public class OrderPushMessage implements Serializable {

    private static final long serialVersionUID = 7838417768549167083L;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 订单状态
     */
    private Integer status;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 接单状态
     */
    private Integer receiveStatus;

    /**
     * 售后状态
     */
    private Integer afterSaleStatus;

    /**
     * 评价状态
     */
    private Integer commentStatus;

    /**
     * 履约状态
     */
    private Integer performanceStatus;

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getReceiveStatus() {
        return receiveStatus;
    }

    public void setReceiveStatus(Integer receiveStatus) {
        this.receiveStatus = receiveStatus;
    }

    public Integer getAfterSaleStatus() {
        return afterSaleStatus;
    }

    public void setAfterSaleStatus(Integer afterSaleStatus) {
        this.afterSaleStatus = afterSaleStatus;
    }

    public Integer getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(Integer commentStatus) {
        this.commentStatus = commentStatus;
    }

    public Integer getPerformanceStatus() {
        return performanceStatus;
    }

    public void setPerformanceStatus(Integer performanceStatus) {
        this.performanceStatus = performanceStatus;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
